
#include "CPixel.h"

//---------------------------------------------------------------------------

CPixel::CPixel()
{

}

CPixel::CPixel(int _y,int _x)
{
	x=_x;
	y=_y;
}

float CPixel::length( )
{
	return sqrt(x*x+y*y);
}

float CPixel::distance(CPixel a)
{
	return sqrt(float((x-a.x)*(x-a.x)+(y-a.y)*(y-a.y)));
}

float CPixel::distance(int _y,int _x)
{
	return sqrt(float((x-_x)*(x-_x)+(y-_y)*(y-_y)));
}

CPixel& CPixel::operator = (const CPixel &a)
{
	(*this).x=a.x;
    (*this).y=a.y;
    return (*this);
}

CPixel  CPixel::operator - (const CPixel &a)
{
	CPixel c;
    c.x=x-a.x;
    c.y=y-a.y;
    return c;
}

CPixel  CPixel::operator + (const CPixel &a)
{
	CPixel c;
    c.x=x+a.x;
    c.y=y+a.y;
    return c;
}

CPixel  CPixel::operator / (const float a)
{
	CPixel c;
    c.x = x/a;
    c.y = y/a;
    return c;
}

